Skip to main content
GET
/
v1
/
info
/
klines
Get Klines
curl --request GET \
  --url https://api.perpetuals.polymarket.com/v1/info/klines
import requests

url = "https://api.perpetuals.polymarket.com/v1/info/klines"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.perpetuals.polymarket.com/v1/info/klines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    [
      1767225600000,
      "100.00",
      "105.00",
      "99.00",
      "102.00",
      "500.00",
      42
    ]
  ],
  "more": true
}
{
"status": "err",
"error": "insufficient_margin"
}
{
"status": "err",
"error": "insufficient_margin"
}
{
"status": "err",
"error": "insufficient_margin"
}
Request Weight: 5

Query Parameters

instrument_id
integer
required

Instrument ID

interval
enum<string>
required

Kline interval

Available options:
1s,
1m,
5m,
15m,
30m,
1h,
4h,
6h,
12h,
1d,
1w
start_timestamp
integer
required

Start timestamp in milliseconds

Example:

1767225600000

end_timestamp
integer

End timestamp in milliseconds

Example:

1767229200000

Response

Klines response.

data
array[]
required
Maximum array length: 1000
  • 1767225600000 - Open time
  • "100.00" - Open price
  • "105.00" - High price
  • "99.00" - Low price
  • "102.00" - Close price
  • "500.00" - Volume (base unit)
  • 42 - Number of trades
Example:
[
1767225600000,
"100.00",
"105.00",
"99.00",
"102.00",
"500.00",
42
]
more
boolean
required

More data available